package gg.malloc.defense;

import gg.malloc.defense.model.Arena;
import gg.malloc.defense.model.Spawnpoint;

import org.bukkit.World;

public class MemoryArena implements Arena {

  Spawnpoint[] m_spawnpoints;
  Spawnpoint m_bombTarget;
  World m_world;
  String m_name;

  public MemoryArena(String name, World world, Spawnpoint[] spawnpoints, Spawnpoint bombTarget) {
    m_world = world;
    m_spawnpoints = spawnpoints;
    m_name = name;
    m_bombTarget = bombTarget;
  }

  @Override
  public String name() {
    return m_name;
  }

  @Override
  public Spawnpoint[] spawnpoints() {
    return m_spawnpoints;
  }

  @Override
  public World getWorld() {
    return m_world;
  }
  
  @Override
  public Spawnpoint bombTarget() {
    return m_bombTarget;
  }
}
